// app styles
//
// @author Sonja Happ <sonja.happ@eonerc.rwth-aachen.de>, Jonas Otten
// @copyright 2019, Institute for Automation of Complex Power Systems, EONERC
// @license GNU General Public License (version 3)
//
// DistAIX Web
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
////////////////////////////////////////////////////////////////////////////////

body{
	height: 100%;
	margin: 0px;
	font-family: 'Cantarell', sans-serif;
}

.notSelectable{
	-webkit-touch-callout:none;
	-webkit-user-select:none;
	-moz-user-select:none;
	-ms-user-select:none;
	user-select:none;
}

#appMainContainer{
	height: 100%;
	display: -webkit-flex;
	display: flex;
	@extend .notSelectable;
}

#mainErrorWrapper{
	display: flex;
	flex-grow: 1;
}

#error{
	position: fixed;
	z-index: 1;
	width: 100%;
	color: white;
	padding: 10px;
	background-color: crimson;
}


#appNav {
	flex-shrink: 0;
	overflow: auto;
	color: white;
	padding: 20px;
	width: 200px;
	-webkit-box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
	-moz-box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
	box-shadow: 7px 0px 12px -6px rgba(0,0,0,0.26);
	background-color: cornflowerblue;
}


/* #previewColumnRight{
// 	margin: 10px;
// 	flex-grow: 1;
// 	display: flex;
// }*/


/* #yAxisLabels{
// 	display: flex;
// 	justify-content: space-between;
// }*/

/* .Metadata{
// 	display: flex;
// }*/

/* .MetadataElement{
// 	padding: 5px;
// }*/
